|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QCoreApplication

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QCoreApplication class reference

### Public Functions

- void lock ()
- bool locked ()
- bool tryLock ()
- void unlock ( bool wakeUpGui = true )

- 8 public functions inherited from QObject

### Static Public Members

- int argc ()
- char ** argv ()
- int enter_loop ()
- void exit_loop ()
- int loopLevel ()
- void processOneEvent ()

## Member Function Documentation

### int QCoreApplication::argc () `[static]`

Use arguments().size() instead.

### char ** QCoreApplication::argv () `[static]`

Use arguments() instead.

### int QCoreApplication::enter_loop () `[static]`

This function enters the main event loop (recursively). Do not call it unless you really know what you are doing.

### void QCoreApplication::exit_loop () `[static]`

This function exits from a recursive call to the main event loop. Do not call it unless you are an expert.

### void QCoreApplication::lock ()

In Qt 3, this function locked the Qt library mutex, allowing non-GUI threads to perform basic printing operations using QPainter.

In Qt 4, this is no longer supported, since painting is only supported from within a paint event handler. This function does nothing.

See also QWidget::paintEvent().

### bool QCoreApplication::locked ()

This function does nothing. It is there to keep old code working. It always returns false.

See lock() for details.

### int QCoreApplication::loopLevel () `[static]`

Returns the current loop level.

### void QCoreApplication::processOneEvent () `[static]`

Waits for an event to occur, processes it, then returns.

This function is useful for adapting Qt to situations where the event processing must be grafted onto existing program loops.

Using this function in new applications may be an indication of design problems.

See also processEvents(), exec(), and QTimer.

### bool QCoreApplication::tryLock ()

This function does nothing. It is there to keep old code working. It always returns false.

See lock() for details.

### void QCoreApplication::unlock ( bool wakeUpGui = true )

In Qt 3, this function unlocked the Qt library mutex. The mutex allowed non-GUI threads to perform basic printing operations using QPainter.

In Qt 4, this is no longer supported, since painting is only supported from within a paint event handler. This function does nothing.